Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 603580 - Assertion failure in _XAllocID inside XCreateGC running /usr/lib/gdesklets/gdesklets-daemon
Assertion failure in _XAllocID inside XCreateGC running /usr/lib/gdesklets/gd...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libxcb (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
abrt_hash:ee58aacf87d7a80d99bb7e91d52...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-13 20:08 EDT by masa
Modified: 2011-01-10 10:19 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-10 10:19:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (28.78 KB, text/plain)
2010-06-13 20:08 EDT, masa
no flags Details

  None (edit)
Description masa 2010-06-13 20:08:19 EDT
abrt 1.1.1 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: python /usr/lib/gdesklets/gdesklets-daemon
component: gdesklets
crash_function: raise
executable: /usr/bin/python
global_uuid: ee58aacf87d7a80d99bb7e91d527894810754252
kernel: 2.6.33.5-112.fc13.i686.PAE
package: gdesklets-0.36.2-2.fc13
rating: 4
reason: Process /usr/bin/python was killed by signal 6 (SIGABRT)
release: Fedora release 13 (Goddard)
Comment 1 masa 2010-06-13 20:08:22 EDT
Created attachment 423711 [details]
File: backtrace
Comment 2 Luya Tshimbalanga 2010-06-21 23:48:15 EDT
Hmm, apparently python bug. I am going to assign to Dave if he can investigate the problem.
Comment 3 Dave Malcolm 2010-06-22 09:19:05 EDT
Thank you for reporting this bug.

How reproducible is this problem?  If you run the program from a terminal, is an error message printed?

What is the output of running the following command?
  rpm -q gtk2 libxcb 

Looking at the backtrace, it looks like an assertion failed inside frame 3 of the program's single thread inside _XAllocID:
  python: xcb_io.c:385: _XAllocID: Assertion `ret != inval_id

xcb is failing to allocate a graphic-rendering context for some reason, and that's why the process exits.

Reassigning component from "python" to "libxcb";  hopefully the libxcb maintainer will be able to figure this out further or reassign to a more appropriate component.
Comment 4 Adam Jackson 2011-01-10 10:19:52 EST
abrt backtrace doesn't tell me libX11 or libxcb versions, can't really help with this.

Note You need to log in before you can comment on or make changes to this bug.